Commit ad57e404 authored by ssomnath's avatar ssomnath
Browse files

Adding official python 3.7 compatibility.

Removed python 3.4 compatibility - https://travis-ci.org/pycroscopy/pycroscopy/jobs/492373749
Removed complex scikit image requirement required for python 3.4
parent 2121dcd0
......@@ -2,7 +2,6 @@ language: python
python:
- '3.6'
- '2.7'
- '3.4'
- '3.5'
- '3.7'
before_install:
......
......@@ -14,9 +14,7 @@ with open(os.path.join(here, 'pycroscopy/__version__.py')) as f:
requirements = ['numpy>=1.13.0',
'h5py>=2.6.0',
'scipy>=0.17.1',
'scikit-image>=0.12.3;python_version<"3.4"',
'scikit-image<0.14.2;python_version=="3.4"', # Dask removed python 3.4 support that causes 2019 and newer skimage to fail
'scikit-image>=0.12.3;python_version>="3.5"',
'scikit-image>=0.12.3',
'scikit-learn>=0.17.1',
'matplotlib>=2.0.0',
......@@ -61,6 +59,7 @@ setup(
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.5',
'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7',
'Programming Language :: Python :: Implementation :: CPython',
'Topic :: Scientific/Engineering :: Chemistry',
'Topic :: Scientific/Engineering :: Physics',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment